Mailinglist Archive: opensuse-updates (126 mails)

< Previous Next >
openSUSE-SU-2018:0155-1: moderate: Security update for ImageMagick
openSUSE Security Update: Security update for ImageMagick
______________________________________________________________________________

Announcement ID: openSUSE-SU-2018:0155-1
Rating: moderate
References: #1047044 #1047898 #1050120 #1050606 #1051446
#1052468 #1052550 #1052710 #1052720 #1052731
#1052732 #1055065 #1055323 #1055434 #1055855
#1058640 #1059751 #1074123 #1074969 #1074973
#1074975
Cross-References: CVE-2017-10800 CVE-2017-11141 CVE-2017-11529
CVE-2017-11644 CVE-2017-11724 CVE-2017-12434
CVE-2017-12564 CVE-2017-12667 CVE-2017-12670
CVE-2017-12672 CVE-2017-12675 CVE-2017-13060
CVE-2017-13146 CVE-2017-13648 CVE-2017-13658
CVE-2017-14326 CVE-2017-14533 CVE-2017-17881
CVE-2017-18022 CVE-2018-5246 CVE-2018-5247

Affected Products:
openSUSE Leap 42.3
openSUSE Leap 42.2
______________________________________________________________________________

An update that fixes 21 vulnerabilities is now available.

Description:

This update for ImageMagick fixes several issues.

These security issues were fixed:

- CVE-2018-5246: Fixed memory leak vulnerability in ReadPATTERNImage in
coders/pattern.c (bsc#1074973)
- CVE-2017-18022: Fixed memory leak vulnerability in MontageImageCommand
in MagickWand/montage.c (bsc#1074975)
- CVE-2018-5247: Fixed memory leak vulnerability in ReadRLAImage in
coders/rla.c (bsc#1074969)
- CVE-2017-12672: Fixed a memory leak vulnerability in the function
ReadMATImage in coders/mat.c, which allowed attackers to cause a denial
of service (bsc#1052720)
- CVE-2017-13060: Fixed a memory leak vulnerability in the function
ReadMATImage in coders/mat.c, which allowed attackers to cause a denial
of service via a crafted file (bsc#1055065)
- CVE-2017-11724: Fixed a memory leak vulnerability in the function
ReadMATImage in coders/mat.c involving the quantum_info and clone_info
data structures (bsc#1051446)
- CVE-2017-12670: Added validation in coders/mat.c to prevent an assertion
failure in the function DestroyImage in MagickCore/image.c, which
allowed attackers to cause a denial of service (bsc#1052731)
- CVE-2017-12667: Fixed a memory leak vulnerability in the function
ReadMATImage in coders/mat.c (bsc#1052732)
- CVE-2017-13146: Fixed a memory leak vulnerability in the function
ReadMATImage in coders/mat.c (bsc#1055323)
- CVE-2017-10800: Processing MATLAB images in coders/mat.c could have lead
to a denial of service (OOM) in ReadMATImage() if the size specified for
a MAT Object was larger than the actual amount of data (bsc#1047044)
- CVE-2017-13648: Fixed a memory leak vulnerability in the function
ReadMATImage in coders/mat.c (bsc#1055434)
- CVE-2017-11141: Fixed a memory leak vulnerability in the function
ReadMATImage in coders\mat.c that could have caused memory exhaustion
via a crafted MAT file, related to incorrect ordering of a
SetImageExtent call (bsc#1047898)
- CVE-2017-11529: The ReadMATImage function in coders/mat.c allowed remote
attackers to cause a denial of service (memory leak) via a crafted file
(bsc#1050120)
- CVE-2017-12564: Fixed a memory leak vulnerability in the function
ReadMATImage in coders/mat.c, which allowed attackers to cause a denial
of service (bsc#1052468)
- CVE-2017-12434: Added a missing NULL check in the function ReadMATImage
in coders/mat.c, which allowed attackers to cause a denial of service
(assertion failure) in DestroyImageInfo in image.c (bsc#1052550)
- CVE-2017-12675: Added a missing check for multidimensional data
coders/mat.c, that could have lead to a memory leak in the function
ReadImage in MagickCore/constitute.c, which allowed attackers to cause a
denial of service (bsc#1052710)
- CVE-2017-14326: Fixed a memory leak vulnerability in the function
ReadMATImage in coders/mat.c, which allowed attackers to cause a denial
of service via a crafted file (bsc#1058640)
- CVE-2017-11644: Processesing a crafted file in convert could have lead
to a memory leak in the ReadMATImage() function in coders/mat.c
(bsc#1050606)
- CVE-2017-13658: Added a missing NULL check in the ReadMATImage function
in coders/mat.c, which could have lead to a denial of service (assertion
failure and application exit) in the DestroyImageInfo function in
MagickCore/image.c (bsc#1055855)
- CVE-2017-14533: Fixed a memory leak vulnerability in the function
ReadMATImage in coders/mat.c (bsc#1059751)
- CVE-2017-17881: Fixed a memory leak vulnerability in the function
ReadMATImage in coders/mat.c, which allowed attackers to cause a denial
of service via a crafted MAT image file (bsc#1074123)

This update was imported from the SUSE:SLE-12:Update update project.


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE Leap 42.3:

zypper in -t patch openSUSE-2018-61=1

- openSUSE Leap 42.2:

zypper in -t patch openSUSE-2018-61=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE Leap 42.3 (i586 x86_64):

ImageMagick-6.8.8.1-49.1
ImageMagick-debuginfo-6.8.8.1-49.1
ImageMagick-debugsource-6.8.8.1-49.1
ImageMagick-devel-6.8.8.1-49.1
ImageMagick-extra-6.8.8.1-49.1
ImageMagick-extra-debuginfo-6.8.8.1-49.1
libMagick++-6_Q16-3-6.8.8.1-49.1
libMagick++-6_Q16-3-debuginfo-6.8.8.1-49.1
libMagick++-devel-6.8.8.1-49.1
libMagickCore-6_Q16-1-6.8.8.1-49.1
libMagickCore-6_Q16-1-debuginfo-6.8.8.1-49.1
libMagickWand-6_Q16-1-6.8.8.1-49.1
libMagickWand-6_Q16-1-debuginfo-6.8.8.1-49.1
perl-PerlMagick-6.8.8.1-49.1
perl-PerlMagick-debuginfo-6.8.8.1-49.1

- openSUSE Leap 42.3 (noarch):

ImageMagick-doc-6.8.8.1-49.1

- openSUSE Leap 42.3 (x86_64):

ImageMagick-devel-32bit-6.8.8.1-49.1
libMagick++-6_Q16-3-32bit-6.8.8.1-49.1
libMagick++-6_Q16-3-debuginfo-32bit-6.8.8.1-49.1
libMagick++-devel-32bit-6.8.8.1-49.1
libMagickCore-6_Q16-1-32bit-6.8.8.1-49.1
libMagickCore-6_Q16-1-debuginfo-32bit-6.8.8.1-49.1
libMagickWand-6_Q16-1-32bit-6.8.8.1-49.1
libMagickWand-6_Q16-1-debuginfo-32bit-6.8.8.1-49.1

- openSUSE Leap 42.2 (i586 x86_64):

ImageMagick-6.8.8.1-30.21.1
ImageMagick-debuginfo-6.8.8.1-30.21.1
ImageMagick-debugsource-6.8.8.1-30.21.1
ImageMagick-devel-6.8.8.1-30.21.1
ImageMagick-extra-6.8.8.1-30.21.1
ImageMagick-extra-debuginfo-6.8.8.1-30.21.1
libMagick++-6_Q16-3-6.8.8.1-30.21.1
libMagick++-6_Q16-3-debuginfo-6.8.8.1-30.21.1
libMagick++-devel-6.8.8.1-30.21.1
libMagickCore-6_Q16-1-6.8.8.1-30.21.1
libMagickCore-6_Q16-1-debuginfo-6.8.8.1-30.21.1
libMagickWand-6_Q16-1-6.8.8.1-30.21.1
libMagickWand-6_Q16-1-debuginfo-6.8.8.1-30.21.1
perl-PerlMagick-6.8.8.1-30.21.1
perl-PerlMagick-debuginfo-6.8.8.1-30.21.1

- openSUSE Leap 42.2 (x86_64):

ImageMagick-devel-32bit-6.8.8.1-30.21.1
libMagick++-6_Q16-3-32bit-6.8.8.1-30.21.1
libMagick++-6_Q16-3-debuginfo-32bit-6.8.8.1-30.21.1
libMagick++-devel-32bit-6.8.8.1-30.21.1
libMagickCore-6_Q16-1-32bit-6.8.8.1-30.21.1
libMagickCore-6_Q16-1-debuginfo-32bit-6.8.8.1-30.21.1
libMagickWand-6_Q16-1-32bit-6.8.8.1-30.21.1
libMagickWand-6_Q16-1-debuginfo-32bit-6.8.8.1-30.21.1

- openSUSE Leap 42.2 (noarch):

ImageMagick-doc-6.8.8.1-30.21.1


References:

https://www.suse.com/security/cve/CVE-2017-10800.html
https://www.suse.com/security/cve/CVE-2017-11141.html
https://www.suse.com/security/cve/CVE-2017-11529.html
https://www.suse.com/security/cve/CVE-2017-11644.html
https://www.suse.com/security/cve/CVE-2017-11724.html
https://www.suse.com/security/cve/CVE-2017-12434.html
https://www.suse.com/security/cve/CVE-2017-12564.html
https://www.suse.com/security/cve/CVE-2017-12667.html
https://www.suse.com/security/cve/CVE-2017-12670.html
https://www.suse.com/security/cve/CVE-2017-12672.html
https://www.suse.com/security/cve/CVE-2017-12675.html
https://www.suse.com/security/cve/CVE-2017-13060.html
https://www.suse.com/security/cve/CVE-2017-13146.html
https://www.suse.com/security/cve/CVE-2017-13648.html
https://www.suse.com/security/cve/CVE-2017-13658.html
https://www.suse.com/security/cve/CVE-2017-14326.html
https://www.suse.com/security/cve/CVE-2017-14533.html
https://www.suse.com/security/cve/CVE-2017-17881.html
https://www.suse.com/security/cve/CVE-2017-18022.html
https://www.suse.com/security/cve/CVE-2018-5246.html
https://www.suse.com/security/cve/CVE-2018-5247.html
https://bugzilla.suse.com/1047044
https://bugzilla.suse.com/1047898
https://bugzilla.suse.com/1050120
https://bugzilla.suse.com/1050606
https://bugzilla.suse.com/1051446
https://bugzilla.suse.com/1052468
https://bugzilla.suse.com/1052550
https://bugzilla.suse.com/1052710
https://bugzilla.suse.com/1052720
https://bugzilla.suse.com/1052731
https://bugzilla.suse.com/1052732
https://bugzilla.suse.com/1055065
https://bugzilla.suse.com/1055323
https://bugzilla.suse.com/1055434
https://bugzilla.suse.com/1055855
https://bugzilla.suse.com/1058640
https://bugzilla.suse.com/1059751
https://bugzilla.suse.com/1074123
https://bugzilla.suse.com/1074969
https://bugzilla.suse.com/1074973
https://bugzilla.suse.com/1074975


< Previous Next >
This Thread
  • No further messages